Account
Add Phone Numbers To Blacklist
Adds one or more phone numbers to the account blacklist.
POST
/
v2
/
Account
/
Blacklist
Add Phone Numbers To Blacklist
curl --request POST \
--url https://api.nlpearl.ai/v2/Account/Blacklist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumbers": [
"<string>"
]
}
'import requests
url = "https://api.nlpearl.ai/v2/Account/Blacklist"
payload = { "phoneNumbers": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumbers: ['<string>']})
};
fetch('https://api.nlpearl.ai/v2/Account/Blacklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
true{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
Specify the authorization token.
For more information, check out the Authorization Guide.
Body
application/jsontext/jsonapplication/*+json
Request to add or remove phone numbers or prefixes from the blacklist.
PhoneNumbers:
- Can contain full phone numbers (e.g. +1234567890).
- Can also contain prefixes to block a range of numbers (e.g. +41 for Switzerland or +41837 for a specific range).
- Maximum length per entry: 25 characters.
- Duplicates in the list are not allowed.
Response
The result of the add operation.
The response is of type boolean.
Previous
Remove Phone Numbers From BlacklistRemoves one or more phone numbers from the account blacklist.
Next
⌘I
Add Phone Numbers To Blacklist

